defmodule Exmr.Application do
  # See https://hexdocs.pm/elixir/Application.html
  # for more information on OTP Applications
  @moduledoc false

  use Application

  @impl true
  def start(_type, _args) do
    children = [
      ExmrWeb.Telemetry,
      Exmr.Repo,
      {DNSCluster, query: Application.get_env(:exmr, :dns_cluster_query) || :ignore},
      {Phoenix.PubSub, name: Exmr.PubSub},
      # Start the Finch HTTP client for sending emails
      {Finch, name: Exmr.Finch},
      # Start a worker by calling: Exmr.Worker.start_link(arg)
      # {Exmr.Worker, arg},
      # Start to serve requests, typically the last entry
      ExmrWeb.Endpoint
    ]

    # See https://hexdocs.pm/elixir/Supervisor.html
    # for other strategies and supported options
    opts = [strategy: :one_for_one, name: Exmr.Supervisor]
    Supervisor.start_link(children, opts)
  end

  # Tell Phoenix to update the endpoint configuration
  # whenever the application is updated.
  @impl true
  def config_change(changed, _new, removed) do
    ExmrWeb.Endpoint.config_change(changed, removed)
    :ok
  end
end
